﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication43
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnColumn0_Click(object sender, EventArgs e)
        {
            DataTable dt = new DataTable("Table A");
            dt.Columns.Add("Column 0", typeof(string));
            dt.Rows.Add(new object[] {"Apple"});
            dt.Rows.Add(new object[] {"Banana"});
            dt.Rows.Add(new object[] {"Grape"});
            this.ultraGrid1.SetDataBinding(dt, null);
        }

        private void btnColumn1_Click(object sender, EventArgs e)
        {
            DataTable dt = new DataTable("Table A");
            dt.Columns.Add("Column 1", typeof(string));
            dt.Rows.Add(new object[] { "Red" });
            dt.Rows.Add(new object[] { "Yellow" });
            dt.Rows.Add(new object[] { "Purple" });
            this.ultraGrid1.SetDataBinding(dt, null);
        }

        private void btnColumnBoth_Click(object sender, EventArgs e)
        {
            DataTable dt = new DataTable("Table A");
            dt.Columns.Add("Column 0", typeof(string));            
            dt.Columns.Add("Column 1", typeof(string));
            dt.Rows.Add(new object[] { "Apple", "Red" });
            dt.Rows.Add(new object[] { "Banana", "Yellow" });
            dt.Rows.Add(new object[] { "Grape", "Purple" });
            this.ultraGrid1.SetDataBinding(dt, null);
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridBand band = layout.Bands[0];

            if (false == band.Columns.Exists("Column 0"))
            {
                UltraGridColumn column0 = band.Columns.Insert(0, "Column 0");
                column0.DataType = typeof(string);
            }

            if (false == band.Columns.Exists("Column 1"))
            {
                UltraGridColumn column1 = band.Columns.Add("Column 1");
                column1.DataType = typeof(string);
            }
        }
    }
}
